GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
geos::geomgraph::EdgeList Class Reference

`#include <EdgeList.h>`

## Public Member Functions
void | add (Edge *e)
void | addAll (const std::vector< Edge * > &edgeColl)
std::vector< Edge * > & | getEdges ()
Edge * | findEqualEdge (Edge *e)
Edge * | get (int i)
int | findEdgeIndex (Edge *e)
std::string | print ()
void | clearList ()

## Friends
std::ostream & | operator<< (std::ostream &os, const EdgeList &el)

## Detailed Description

A EdgeList is a list of Edges.

It supports locating edges that are pointwise equals to a target edge.

## Member Function Documentation

void geos::geomgraph::EdgeList::add | ( | Edge * | e | ) |

Insert an edge unless it is already in the list

The documentation for this class was generated from the following file:

- EdgeList.h